<html>
<head>
<title>Ogre::CompositorChain Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CompositorChain.html">CompositorChain</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::CompositorChain Class Reference<div class="ingroups"><a class="el" href="group__Effects.html">Effects</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::CompositorChain" --><!-- doxytag: inherits="Ogre::RenderTargetListener,Ogre::Viewport::Listener,Ogre::AllocatedObject" -->
<p>Chain of compositor effects applying to one viewport.  
 <a href="classOgre_1_1CompositorChain.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::CompositorChain:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1CompositorChain__inherit__graph.gif" border="0" usemap="#Ogre_1_1CompositorChain_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1CompositorChain_inherit__map" id="Ogre_1_1CompositorChain_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1RenderTargetListener.html" title="A interface class defining a listener which can be used to receive notifications of RenderTarget even..." alt="" coords="5,5,187,35"/><area shape="rect" id="node4" href="classOgre_1_1Viewport_1_1Listener.html" title="Listener interface so you can be notified of Viewport changes." alt="" coords="211,5,373,35"/><area shape="rect" id="node6" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="397,5,536,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1CompositorChain-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html">RQListener</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Render queue listener used to set up rendering events.  <a href="classOgre_1_1CompositorChain_1_1RQListener.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#ac6b8bed59c322b3466fd61a0663923e6">Instances</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Data types.  <a href="#ac6b8bed59c322b3466fd61a0663923e6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a>&lt; <a class="el" href="classOgre_1_1CompositorChain.html#ac6b8bed59c322b3466fd61a0663923e6">Instances</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#ab6a0110a3e6e1cc2c45a6aa7e6d15e20">InstanceIterator</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#ac96b3bb0bdc4889c8917ce7015604db1">CompositorChain</a> (<a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *vp)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#aa8834cdfc95d460005da8099f2f267be">~CompositorChain</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Another gcc warning here, which is no problem because <a class="el" href="classOgre_1_1RenderTargetListener.html" title="A interface class defining a listener which can be used to receive notifications of RenderTarget even...">RenderTargetListener</a> is never used to delete an object.  <a href="#aa8834cdfc95d460005da8099f2f267be"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a58a16628a98dd05e5d17d92d38c219c8">addCompositor</a> (<a class="el" href="classOgre_1_1CompositorPtr.html">CompositorPtr</a> filter, size_t addPosition=<a class="el" href="classOgre_1_1CompositorChain.html#a12a007f299024321e7c826e0c069e903">LAST</a>, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;scheme=<a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Apply a compositor.  <a href="#a58a16628a98dd05e5d17d92d38c219c8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a136bcc91dece7d0c020c6bf4e635a2f3">removeCompositor</a> (size_t position=<a class="el" href="classOgre_1_1CompositorChain.html#a12a007f299024321e7c826e0c069e903">LAST</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a compositor.  <a href="#a136bcc91dece7d0c020c6bf4e635a2f3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a16acff0bca06c03a0b3664032631dd5f">getNumCompositors</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of compositors.  <a href="#a16acff0bca06c03a0b3664032631dd5f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a8555577c8789123a52ee4dc88511c06b">removeAllCompositors</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove all compositors.  <a href="#a8555577c8789123a52ee4dc88511c06b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#aa3ad6ad75b3750d57545f75f36f50533">getCompositor</a> (size_t index)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get compositor instance by position.  <a href="#aa3ad6ad75b3750d57545f75f36f50533"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a514627f5e918ecd2d852c5a3dc936779">getCompositor</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get compositor instance by name.  <a href="#a514627f5e918ecd2d852c5a3dc936779"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a7655532cf0ded63f91cbfb2063d98875">_getOriginalSceneCompositor</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the original scene compositor instance for this chain (internal use).  <a href="#a7655532cf0ded63f91cbfb2063d98875"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositorChain.html#ab6a0110a3e6e1cc2c45a6aa7e6d15e20">InstanceIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#aedef40765b6893d4451e4abc682b8870">getCompositors</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an iterator over the compositor instances.  <a href="#aedef40765b6893d4451e4abc682b8870"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a3c2e3610732ee682f97a2e177168ca21">setCompositorEnabled</a> (size_t position, bool state)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable or disable a compositor, by position.  <a href="#a3c2e3610732ee682f97a2e177168ca21"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a1ec36cc26d28a3093551eefa01e0d150">preRenderTargetUpdate</a> (const <a class="el" href="structOgre_1_1RenderTargetEvent.html">RenderTargetEvent</a> &amp;evt)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#abdef05ed8ba969c36d7d35a66c715793">postRenderTargetUpdate</a> (const <a class="el" href="structOgre_1_1RenderTargetEvent.html">RenderTargetEvent</a> &amp;evt)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#add2baec43d6f70d7074c0bc661c218c3">preViewportUpdate</a> (const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;evt)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a3e3315ef4adfc91d21fe309b2c74576a">postViewportUpdate</a> (const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;evt)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#afcdb64f3ad007103bfcf847f033397bf">viewportCameraChanged</a> (<a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *viewport)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a6bcbed94720a5c81d103cb42cb9035ba">viewportDimensionsChanged</a> (<a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *viewport)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#ae2490cf32dbd5c46885b89d3e57da671">viewportDestroyed</a> (<a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *viewport)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a0786570dbe0567f781db42c64cdc0864">_markDirty</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Mark state as dirty, and to be recompiled next frame.  <a href="#a0786570dbe0567f781db42c64cdc0864"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a03dbde3d43fe8f2b7d1a6c69a86a1265">getViewport</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get viewport that is the target of this chain.  <a href="#a03dbde3d43fe8f2b7d1a6c69a86a1265"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a9d532a4e514a102d8a2970b5d012707e">_removeInstance</a> (<a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *i)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a compositor by pointer.  <a href="#a9d532a4e514a102d8a2970b5d012707e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a3ca3e8bf062f7b7835043db522e49230">_queuedOperation</a> (<a class="el" href="classOgre_1_1CompositorInstance_1_1RenderSystemOperation.html">CompositorInstance::RenderSystemOperation</a> *op)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for registering a queued operation for deletion later.  <a href="#a3ca3e8bf062f7b7835043db522e49230"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#ab58b7b39dc6335b196791d73f880f73b">_compile</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Compile this Composition chain into a series of <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> operations.  <a href="#ab58b7b39dc6335b196791d73f880f73b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#aab2bb9c5e79ad3a50cb95d26f78e6ea3">getPreviousInstance</a> (<a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *curr, bool activeOnly=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the previous instance in this chain to the one specified.  <a href="#aab2bb9c5e79ad3a50cb95d26f78e6ea3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#aad00f3fdd099564e5c4813cb903c2150">getNextInstance</a> (<a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *curr, bool activeOnly=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the next instance in this chain to the one specified.  <a href="#aad00f3fdd099564e5c4813cb903c2150"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTargetListener.html#ab901ef7073b680203caf86792c2151ee">viewportAdded</a> (const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;evt)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called to notify listener that a <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> has been added to the target in question.  <a href="#ab901ef7073b680203caf86792c2151ee"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTargetListener.html#ae39efc7491a7bbd3d5e2e3e5f84796c2">viewportRemoved</a> (const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;evt)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called to notify listener that a <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> has been removed from the target in question.  <a href="#ae39efc7491a7bbd3d5e2e3e5f84796c2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a12a007f299024321e7c826e0c069e903">LAST</a> = (size_t)-1</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Identifier for "last" compositor in chain.  <a href="#a12a007f299024321e7c826e0c069e903"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a168c3bd702ad4e598d2765ba8ddb8c1b">BEST</a> = 0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Identifier for best technique.  <a href="#a168c3bd702ad4e598d2765ba8ddb8c1b"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1CompositorInstance_1_1RenderSystemOperation.html">CompositorInstance::RenderSystemOperation</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#aab3f2d68973eeb6231db7e8fc1c349e1">RenderSystemOperations</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Render System operations queued by last compile, these are created by this instance thus managed and deleted by it.  <a href="#aab3f2d68973eeb6231db7e8fc1c349e1"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a67e27f9c9d45a24624a90bae29c87c00">clearCompiledState</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear compiled state.  <a href="#a67e27f9c9d45a24624a90bae29c87c00"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a1a3cdd8c8f2af6e04892efb8cb48703f">preTargetOperation</a> (<a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a> &amp;op, <a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *vp, <a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Prepare a viewport, the camera and the scene for a rendering operation.  <a href="#a1a3cdd8c8f2af6e04892efb8cb48703f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#acaad2534d25b0dac9490142f2311c9ae">postTargetOperation</a> (<a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a> &amp;op, <a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *vp, <a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Restore a viewport, the camera and the scene after a rendering operation.  <a href="#acaad2534d25b0dac9490142f2311c9ae"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a35fffcced5e748b2f993af204f8e604c">createOriginalScene</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#ae5087676e58f83f6b9438190f94f961c">destroyOriginalScene</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a5cb803b5d20168d9bed4b8c7a7ee04b8">destroyResources</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">destroy internal resources  <a href="#a5cb803b5d20168d9bed4b8c7a7ee04b8"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a584ed2008fb3617e586e9be48d61071c">mViewport</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> affected by this <a class="el" href="classOgre_1_1CompositorChain.html" title="Chain of compositor effects applying to one viewport.">CompositorChain</a>.  <a href="#a584ed2008fb3617e586e9be48d61071c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#ac670c7beb3e20ed90fc527421bdc41ba">mOriginalScene</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Plainly renders the scene; implicit first compositor in the chain.  <a href="#ac670c7beb3e20ed90fc527421bdc41ba"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositorChain.html#ac6b8bed59c322b3466fd61a0663923e6">Instances</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#ae3d506995ac8ad8aa48270e5ea1c7f13">mInstances</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Postfilter instances in this chain.  <a href="#ae3d506995ac8ad8aa48270e5ea1c7f13"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a30177a879b005637889e4be4d17561ae">mDirty</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">State needs recompile.  <a href="#a30177a879b005637889e4be4d17561ae"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a7d18abb26afbcced73733296b9b203f5">mAnyCompositorsEnabled</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> compositors enabled?  <a href="#a7d18abb26afbcced73733296b9b203f5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a3e1a36df5f8ab70ffe1b8cd2ad83ac0f">mOriginalSceneScheme</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance.html#afc24e918e5a1f648385d3ca6df3fc281">CompositorInstance::CompiledState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a1c6ffca0e911fa96d012d9222ae48291">mCompiledState</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Compiled state (updated with _compile)  <a href="#a1c6ffca0e911fa96d012d9222ae48291"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a889e1ef93d03389ec01b34a70f62d1f3">mOutputOperation</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositorChain.html#aab3f2d68973eeb6231db7e8fc1c349e1">RenderSystemOperations</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a2000a0428258a1d0d6d39724b0e92201">mRenderSystemOperations</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html">RQListener</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a10696f59831cee75561c0c2099b5d7be">mOurListener</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#ae802fec376168b0009e91d9d2b52a32a">mOldClearEveryFrameBuffers</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Old viewport settings.  <a href="#ae802fec376168b0009e91d9d2b52a32a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#af3a2826a2501abc1a39639835fe0b021">mOldVisibilityMask</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Store old scene visibility mask.  <a href="#af3a2826a2501abc1a39639835fe0b021"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a3a136f6c8be3a5b736403878766bd00f">mOldFindVisibleObjects</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Store old find visible objects.  <a href="#a3a136f6c8be3a5b736403878766bd00f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#a99c657543a08099992f80d7d186939f0">mOldLodBias</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Store old camera LOD bias.  <a href="#a99c657543a08099992f80d7d186939f0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#ab340ff7596d3ca02abbbbac6d807b50a">mOldMaterialScheme</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Store old viewport material scheme.  <a href="#ab340ff7596d3ca02abbbbac6d807b50a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html#acf5b75bbbbf8da0cfc7f8fd47183f191">mOldShadowsEnabled</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Store old shadows enabled flag.  <a href="#acf5b75bbbbf8da0cfc7f8fd47183f191"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Chain of compositor effects applying to one viewport. </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00047">47</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="ab6a0110a3e6e1cc2c45a6aa7e6d15e20"></a><!-- doxytag: member="Ogre::CompositorChain::InstanceIterator" ref="ab6a0110a3e6e1cc2c45a6aa7e6d15e20" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a>&lt;<a class="el" href="classOgre_1_1CompositorChain.html#ac6b8bed59c322b3466fd61a0663923e6">Instances</a>&gt; <a class="el" href="classOgre_1_1CompositorChain.html#ab6a0110a3e6e1cc2c45a6aa7e6d15e20">Ogre::CompositorChain::InstanceIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00059">59</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac6b8bed59c322b3466fd61a0663923e6"></a><!-- doxytag: member="Ogre::CompositorChain::Instances" ref="ac6b8bed59c322b3466fd61a0663923e6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a>*&gt;::type <a class="el" href="classOgre_1_1CompositorChain.html#ac6b8bed59c322b3466fd61a0663923e6">Ogre::CompositorChain::Instances</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Data types. </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00058">58</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="aab3f2d68973eeb6231db7e8fc1c349e1"></a><!-- doxytag: member="Ogre::CompositorChain::RenderSystemOperations" ref="aab3f2d68973eeb6231db7e8fc1c349e1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1CompositorInstance_1_1RenderSystemOperation.html">CompositorInstance::RenderSystemOperation</a>*&gt;::type <a class="el" href="classOgre_1_1CompositorChain.html#aab3f2d68973eeb6231db7e8fc1c349e1">Ogre::CompositorChain::RenderSystemOperations</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Render System operations queued by last compile, these are created by this instance thus managed and deleted by it. </p>
<p>The list is cleared with clearCompilationState() </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00176">176</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ac96b3bb0bdc4889c8917ce7015604db1"></a><!-- doxytag: member="Ogre::CompositorChain::CompositorChain" ref="ac96b3bb0bdc4889c8917ce7015604db1" args="(Viewport *vp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorChain.html#ac96b3bb0bdc4889c8917ce7015604db1">Ogre::CompositorChain::CompositorChain</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&#160;</td>
          <td class="paramname"><em>vp</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aa8834cdfc95d460005da8099f2f267be"></a><!-- doxytag: member="Ogre::CompositorChain::~CompositorChain" ref="aa8834cdfc95d460005da8099f2f267be" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1CompositorChain.html#aa8834cdfc95d460005da8099f2f267be">Ogre::CompositorChain::~CompositorChain</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Another gcc warning here, which is no problem because <a class="el" href="classOgre_1_1RenderTargetListener.html" title="A interface class defining a listener which can be used to receive notifications of RenderTarget even...">RenderTargetListener</a> is never used to delete an object. </p>
<p>warning: `class <a class="el" href="classOgre_1_1CompositorChain.html" title="Chain of compositor effects applying to one viewport.">Ogre::CompositorChain</a>' has virtual functions but non-virtual destructor </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ab58b7b39dc6335b196791d73f880f73b"></a><!-- doxytag: member="Ogre::CompositorChain::_compile" ref="ab58b7b39dc6335b196791d73f880f73b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositorChain.html#ab58b7b39dc6335b196791d73f880f73b">Ogre::CompositorChain::_compile</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Compile this Composition chain into a series of <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> operations. </p>

</div>
</div>
<a class="anchor" id="a7655532cf0ded63f91cbfb2063d98875"></a><!-- doxytag: member="Ogre::CompositorChain::_getOriginalSceneCompositor" ref="a7655532cf0ded63f91cbfb2063d98875" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a>* <a class="el" href="classOgre_1_1CompositorChain.html#a7655532cf0ded63f91cbfb2063d98875">Ogre::CompositorChain::_getOriginalSceneCompositor</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the original scene compositor instance for this chain (internal use). </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00096">96</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0786570dbe0567f781db42c64cdc0864"></a><!-- doxytag: member="Ogre::CompositorChain::_markDirty" ref="a0786570dbe0567f781db42c64cdc0864" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositorChain.html#a0786570dbe0567f781db42c64cdc0864">Ogre::CompositorChain::_markDirty</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Mark state as dirty, and to be recompiled next frame. </p>

</div>
</div>
<a class="anchor" id="a3ca3e8bf062f7b7835043db522e49230"></a><!-- doxytag: member="Ogre::CompositorChain::_queuedOperation" ref="a3ca3e8bf062f7b7835043db522e49230" args="(CompositorInstance::RenderSystemOperation *op)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositorChain.html#a3ca3e8bf062f7b7835043db522e49230">Ogre::CompositorChain::_queuedOperation</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositorInstance_1_1RenderSystemOperation.html">CompositorInstance::RenderSystemOperation</a> *&#160;</td>
          <td class="paramname"><em>op</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for registering a queued operation for deletion later. </p>

</div>
</div>
<a class="anchor" id="a9d532a4e514a102d8a2970b5d012707e"></a><!-- doxytag: member="Ogre::CompositorChain::_removeInstance" ref="a9d532a4e514a102d8a2970b5d012707e" args="(CompositorInstance *i)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositorChain.html#a9d532a4e514a102d8a2970b5d012707e">Ogre::CompositorChain::_removeInstance</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a compositor by pointer. </p>
<p>This is internally used by <a class="el" href="classOgre_1_1CompositionTechnique.html" title="Base composition technique, can be subclassed in plugins.">CompositionTechnique</a> to "weak" remove any instanced of a deleted technique. </p>

</div>
</div>
<a class="anchor" id="a58a16628a98dd05e5d17d92d38c219c8"></a><!-- doxytag: member="Ogre::CompositorChain::addCompositor" ref="a58a16628a98dd05e5d17d92d38c219c8" args="(CompositorPtr filter, size_t addPosition=LAST, const String &amp;scheme=StringUtil::BLANK)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a>* <a class="el" href="classOgre_1_1CompositorChain.html#a58a16628a98dd05e5d17d92d38c219c8">Ogre::CompositorChain::addCompositor</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositorPtr.html">CompositorPtr</a>&#160;</td>
          <td class="paramname"><em>filter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>addPosition</em> = <code><a class="el" href="classOgre_1_1CompositorChain.html#a12a007f299024321e7c826e0c069e903">LAST</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>scheme</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Apply a compositor. </p>
<p>Initially, the filter is enabled. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">filter</td><td>Filter to apply </td></tr>
    <tr><td class="paramname">addPosition</td><td>Position in filter chain to insert this filter at; defaults to the end (last applied filter) </td></tr>
    <tr><td class="paramname">scheme</td><td>Scheme to use (blank means default) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a67e27f9c9d45a24624a90bae29c87c00"></a><!-- doxytag: member="Ogre::CompositorChain::clearCompiledState" ref="a67e27f9c9d45a24624a90bae29c87c00" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositorChain.html#a67e27f9c9d45a24624a90bae29c87c00">Ogre::CompositorChain::clearCompiledState</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clear compiled state. </p>

</div>
</div>
<a class="anchor" id="a35fffcced5e748b2f993af204f8e604c"></a><!-- doxytag: member="Ogre::CompositorChain::createOriginalScene" ref="a35fffcced5e748b2f993af204f8e604c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositorChain.html#a35fffcced5e748b2f993af204f8e604c">Ogre::CompositorChain::createOriginalScene</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae5087676e58f83f6b9438190f94f961c"></a><!-- doxytag: member="Ogre::CompositorChain::destroyOriginalScene" ref="ae5087676e58f83f6b9438190f94f961c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositorChain.html#ae5087676e58f83f6b9438190f94f961c">Ogre::CompositorChain::destroyOriginalScene</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5cb803b5d20168d9bed4b8c7a7ee04b8"></a><!-- doxytag: member="Ogre::CompositorChain::destroyResources" ref="a5cb803b5d20168d9bed4b8c7a7ee04b8" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositorChain.html#a5cb803b5d20168d9bed4b8c7a7ee04b8">Ogre::CompositorChain::destroyResources</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>destroy internal resources </p>

</div>
</div>
<a class="anchor" id="aa3ad6ad75b3750d57545f75f36f50533"></a><!-- doxytag: member="Ogre::CompositorChain::getCompositor" ref="aa3ad6ad75b3750d57545f75f36f50533" args="(size_t index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a>* <a class="el" href="classOgre_1_1CompositorChain.html#aa3ad6ad75b3750d57545f75f36f50533">Ogre::CompositorChain::getCompositor</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get compositor instance by position. </p>

</div>
</div>
<a class="anchor" id="a514627f5e918ecd2d852c5a3dc936779"></a><!-- doxytag: member="Ogre::CompositorChain::getCompositor" ref="a514627f5e918ecd2d852c5a3dc936779" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a>* <a class="el" href="classOgre_1_1CompositorChain.html#aa3ad6ad75b3750d57545f75f36f50533">Ogre::CompositorChain::getCompositor</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get compositor instance by name. </p>
<p>Returns null if not found. </p>

</div>
</div>
<a class="anchor" id="aedef40765b6893d4451e4abc682b8870"></a><!-- doxytag: member="Ogre::CompositorChain::getCompositors" ref="aedef40765b6893d4451e4abc682b8870" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorChain.html#ab6a0110a3e6e1cc2c45a6aa7e6d15e20">InstanceIterator</a> <a class="el" href="classOgre_1_1CompositorChain.html#aedef40765b6893d4451e4abc682b8870">Ogre::CompositorChain::getCompositors</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an iterator over the compositor instances. </p>
<p>The first compositor in this list is applied first, the last one is applied last. </p>

</div>
</div>
<a class="anchor" id="aad00f3fdd099564e5c4813cb903c2150"></a><!-- doxytag: member="Ogre::CompositorChain::getNextInstance" ref="aad00f3fdd099564e5c4813cb903c2150" args="(CompositorInstance *curr, bool activeOnly=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a>* <a class="el" href="classOgre_1_1CompositorChain.html#aad00f3fdd099564e5c4813cb903c2150">Ogre::CompositorChain::getNextInstance</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&#160;</td>
          <td class="paramname"><em>curr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>activeOnly</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the next instance in this chain to the one specified. </p>

</div>
</div>
<a class="anchor" id="a16acff0bca06c03a0b3664032631dd5f"></a><!-- doxytag: member="Ogre::CompositorChain::getNumCompositors" ref="a16acff0bca06c03a0b3664032631dd5f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1CompositorChain.html#a16acff0bca06c03a0b3664032631dd5f">Ogre::CompositorChain::getNumCompositors</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the number of compositors. </p>

</div>
</div>
<a class="anchor" id="aab2bb9c5e79ad3a50cb95d26f78e6ea3"></a><!-- doxytag: member="Ogre::CompositorChain::getPreviousInstance" ref="aab2bb9c5e79ad3a50cb95d26f78e6ea3" args="(CompositorInstance *curr, bool activeOnly=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a>* <a class="el" href="classOgre_1_1CompositorChain.html#aab2bb9c5e79ad3a50cb95d26f78e6ea3">Ogre::CompositorChain::getPreviousInstance</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&#160;</td>
          <td class="paramname"><em>curr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>activeOnly</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the previous instance in this chain to the one specified. </p>

</div>
</div>
<a class="anchor" id="a03dbde3d43fe8f2b7d1a6c69a86a1265"></a><!-- doxytag: member="Ogre::CompositorChain::getViewport" ref="a03dbde3d43fe8f2b7d1a6c69a86a1265" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a>* <a class="el" href="classOgre_1_1CompositorChain.html#a03dbde3d43fe8f2b7d1a6c69a86a1265">Ogre::CompositorChain::getViewport</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get viewport that is the target of this chain. </p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::CompositorChain::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::CompositorChain::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::CompositorChain::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::CompositorChain::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::CompositorChain::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::CompositorChain::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::CompositorChain::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::CompositorChain::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::CompositorChain::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::CompositorChain::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="abdef05ed8ba969c36d7d35a66c715793"></a><!-- doxytag: member="Ogre::CompositorChain::postRenderTargetUpdate" ref="abdef05ed8ba969c36d7d35a66c715793" args="(const RenderTargetEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1CompositorChain.html#abdef05ed8ba969c36d7d35a66c715793">Ogre::CompositorChain::postRenderTargetUpdate</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetEvent.html">RenderTargetEvent</a> &amp;&#160;</td>
          <td class="paramname"><em>evt</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderTargetListener.html#a722f37475162c91ee0dd6cebf03e63a3" title="Called just after a RenderTarget has been rendered to.">RenderTargetListener::postRenderTargetUpdate</a> </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1RenderTargetListener.html#a722f37475162c91ee0dd6cebf03e63a3">Ogre::RenderTargetListener</a>.</p>

</div>
</div>
<a class="anchor" id="acaad2534d25b0dac9490142f2311c9ae"></a><!-- doxytag: member="Ogre::CompositorChain::postTargetOperation" ref="acaad2534d25b0dac9490142f2311c9ae" args="(CompositorInstance::TargetOperation &amp;op, Viewport *vp, Camera *cam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositorChain.html#acaad2534d25b0dac9490142f2311c9ae">Ogre::CompositorChain::postTargetOperation</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a> &amp;&#160;</td>
          <td class="paramname"><em>op</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&#160;</td>
          <td class="paramname"><em>vp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>cam</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Restore a viewport, the camera and the scene after a rendering operation. </p>

</div>
</div>
<a class="anchor" id="a3e3315ef4adfc91d21fe309b2c74576a"></a><!-- doxytag: member="Ogre::CompositorChain::postViewportUpdate" ref="a3e3315ef4adfc91d21fe309b2c74576a" args="(const RenderTargetViewportEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1CompositorChain.html#a3e3315ef4adfc91d21fe309b2c74576a">Ogre::CompositorChain::postViewportUpdate</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;&#160;</td>
          <td class="paramname"><em>evt</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderTargetListener.html#a343ada5be6be784ee83f3cb8ac48e319">RenderTargetListener::postViewportUpdate</a> </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1RenderTargetListener.html#a343ada5be6be784ee83f3cb8ac48e319">Ogre::RenderTargetListener</a>.</p>

</div>
</div>
<a class="anchor" id="a1ec36cc26d28a3093551eefa01e0d150"></a><!-- doxytag: member="Ogre::CompositorChain::preRenderTargetUpdate" ref="a1ec36cc26d28a3093551eefa01e0d150" args="(const RenderTargetEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1CompositorChain.html#a1ec36cc26d28a3093551eefa01e0d150">Ogre::CompositorChain::preRenderTargetUpdate</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetEvent.html">RenderTargetEvent</a> &amp;&#160;</td>
          <td class="paramname"><em>evt</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderTargetListener.html#ae6e3dc0a3a760bf152513fafbf51f9b3" title="Called just before a RenderTarget is about to be rendered into.">RenderTargetListener::preRenderTargetUpdate</a> </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1RenderTargetListener.html#ae6e3dc0a3a760bf152513fafbf51f9b3">Ogre::RenderTargetListener</a>.</p>

</div>
</div>
<a class="anchor" id="a1a3cdd8c8f2af6e04892efb8cb48703f"></a><!-- doxytag: member="Ogre::CompositorChain::preTargetOperation" ref="a1a3cdd8c8f2af6e04892efb8cb48703f" args="(CompositorInstance::TargetOperation &amp;op, Viewport *vp, Camera *cam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositorChain.html#a1a3cdd8c8f2af6e04892efb8cb48703f">Ogre::CompositorChain::preTargetOperation</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a> &amp;&#160;</td>
          <td class="paramname"><em>op</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&#160;</td>
          <td class="paramname"><em>vp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>cam</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Prepare a viewport, the camera and the scene for a rendering operation. </p>

</div>
</div>
<a class="anchor" id="add2baec43d6f70d7074c0bc661c218c3"></a><!-- doxytag: member="Ogre::CompositorChain::preViewportUpdate" ref="add2baec43d6f70d7074c0bc661c218c3" args="(const RenderTargetViewportEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1CompositorChain.html#add2baec43d6f70d7074c0bc661c218c3">Ogre::CompositorChain::preViewportUpdate</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;&#160;</td>
          <td class="paramname"><em>evt</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderTargetListener.html#ae0f7f5f1cdf13b5870d0da1cc8f1bd64">RenderTargetListener::preViewportUpdate</a> </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1RenderTargetListener.html#ae0f7f5f1cdf13b5870d0da1cc8f1bd64">Ogre::RenderTargetListener</a>.</p>

</div>
</div>
<a class="anchor" id="a8555577c8789123a52ee4dc88511c06b"></a><!-- doxytag: member="Ogre::CompositorChain::removeAllCompositors" ref="a8555577c8789123a52ee4dc88511c06b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositorChain.html#a8555577c8789123a52ee4dc88511c06b">Ogre::CompositorChain::removeAllCompositors</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove all compositors. </p>

</div>
</div>
<a class="anchor" id="a136bcc91dece7d0c020c6bf4e635a2f3"></a><!-- doxytag: member="Ogre::CompositorChain::removeCompositor" ref="a136bcc91dece7d0c020c6bf4e635a2f3" args="(size_t position=LAST)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositorChain.html#a136bcc91dece7d0c020c6bf4e635a2f3">Ogre::CompositorChain::removeCompositor</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>position</em> = <code><a class="el" href="classOgre_1_1CompositorChain.html#a12a007f299024321e7c826e0c069e903">LAST</a></code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a compositor. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">position</td><td>Position in filter chain of filter to remove; defaults to the end (last applied filter) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3c2e3610732ee682f97a2e177168ca21"></a><!-- doxytag: member="Ogre::CompositorChain::setCompositorEnabled" ref="a3c2e3610732ee682f97a2e177168ca21" args="(size_t position, bool state)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositorChain.html#a3c2e3610732ee682f97a2e177168ca21">Ogre::CompositorChain::setCompositorEnabled</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>state</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable or disable a compositor, by position. </p>
<p>Disabling a compositor stops it from rendering but does not free any resources. This can be more efficient than using removeCompositor and addCompositor in cases the filter is switched on and off a lot. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">position</td><td>Position in filter chain of filter </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab901ef7073b680203caf86792c2151ee"></a><!-- doxytag: member="Ogre::CompositorChain::viewportAdded" ref="ab901ef7073b680203caf86792c2151ee" args="(const RenderTargetViewportEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RenderTargetListener.html#ab901ef7073b680203caf86792c2151ee">Ogre::RenderTargetListener::viewportAdded</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;&#160;</td>
          <td class="paramname"><em>evt</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called to notify listener that a <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> has been added to the target in question. </p>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h_source.html#l00134">134</a> of file <a class="el" href="OgreRenderTargetListener_8h_source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="afcdb64f3ad007103bfcf847f033397bf"></a><!-- doxytag: member="Ogre::CompositorChain::viewportCameraChanged" ref="afcdb64f3ad007103bfcf847f033397bf" args="(Viewport *viewport)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1CompositorChain.html#afcdb64f3ad007103bfcf847f033397bf">Ogre::CompositorChain::viewportCameraChanged</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&#160;</td>
          <td class="paramname"><em>viewport</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Viewport_1_1Listener.html#afb346e20dd7063cea357dcee43051323" title="Notification of when a new camera is set to target listening Viewport.">Viewport::Listener::viewportCameraChanged</a> </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Viewport_1_1Listener.html#afb346e20dd7063cea357dcee43051323">Ogre::Viewport::Listener</a>.</p>

</div>
</div>
<a class="anchor" id="ae2490cf32dbd5c46885b89d3e57da671"></a><!-- doxytag: member="Ogre::CompositorChain::viewportDestroyed" ref="ae2490cf32dbd5c46885b89d3e57da671" args="(Viewport *viewport)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1CompositorChain.html#ae2490cf32dbd5c46885b89d3e57da671">Ogre::CompositorChain::viewportDestroyed</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&#160;</td>
          <td class="paramname"><em>viewport</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Viewport_1_1Listener.html#aa06d47f2e2453b361319a28719c87501" title="Notification of when target listening Viewport&#39;s is destroyed.">Viewport::Listener::viewportDestroyed</a> </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Viewport_1_1Listener.html#aa06d47f2e2453b361319a28719c87501">Ogre::Viewport::Listener</a>.</p>

</div>
</div>
<a class="anchor" id="a6bcbed94720a5c81d103cb42cb9035ba"></a><!-- doxytag: member="Ogre::CompositorChain::viewportDimensionsChanged" ref="a6bcbed94720a5c81d103cb42cb9035ba" args="(Viewport *viewport)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1CompositorChain.html#a6bcbed94720a5c81d103cb42cb9035ba">Ogre::CompositorChain::viewportDimensionsChanged</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&#160;</td>
          <td class="paramname"><em>viewport</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Viewport_1_1Listener.html#a5cb3df5ec2a4e6af754c68769dd332c8" title="Notification of when target listening Viewport&#39;s dimensions changed.">Viewport::Listener::viewportDimensionsChanged</a> </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Viewport_1_1Listener.html#a5cb3df5ec2a4e6af754c68769dd332c8">Ogre::Viewport::Listener</a>.</p>

</div>
</div>
<a class="anchor" id="ae39efc7491a7bbd3d5e2e3e5f84796c2"></a><!-- doxytag: member="Ogre::CompositorChain::viewportRemoved" ref="ae39efc7491a7bbd3d5e2e3e5f84796c2" args="(const RenderTargetViewportEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RenderTargetListener.html#ae39efc7491a7bbd3d5e2e3e5f84796c2">Ogre::RenderTargetListener::viewportRemoved</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;&#160;</td>
          <td class="paramname"><em>evt</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called to notify listener that a <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> has been removed from the target in question. </p>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h_source.html#l00139">139</a> of file <a class="el" href="OgreRenderTargetListener_8h_source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a168c3bd702ad4e598d2765ba8ddb8c1b"></a><!-- doxytag: member="Ogre::CompositorChain::BEST" ref="a168c3bd702ad4e598d2765ba8ddb8c1b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const size_t <a class="el" href="classOgre_1_1CompositorChain.html#a168c3bd702ad4e598d2765ba8ddb8c1b">Ogre::CompositorChain::BEST</a> = 0<code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Identifier for best technique. </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00064">64</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a12a007f299024321e7c826e0c069e903"></a><!-- doxytag: member="Ogre::CompositorChain::LAST" ref="a12a007f299024321e7c826e0c069e903" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const size_t <a class="el" href="classOgre_1_1CompositorChain.html#a12a007f299024321e7c826e0c069e903">Ogre::CompositorChain::LAST</a> = (size_t)-1<code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Identifier for "last" compositor in chain. </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00062">62</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7d18abb26afbcced73733296b9b203f5"></a><!-- doxytag: member="Ogre::CompositorChain::mAnyCompositorsEnabled" ref="a7d18abb26afbcced73733296b9b203f5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositorChain.html#a7d18abb26afbcced73733296b9b203f5">Ogre::CompositorChain::mAnyCompositorsEnabled</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> compositors enabled? </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00166">166</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c6ffca0e911fa96d012d9222ae48291"></a><!-- doxytag: member="Ogre::CompositorChain::mCompiledState" ref="a1c6ffca0e911fa96d012d9222ae48291" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance.html#afc24e918e5a1f648385d3ca6df3fc281">CompositorInstance::CompiledState</a> <a class="el" href="classOgre_1_1CompositorChain.html#a1c6ffca0e911fa96d012d9222ae48291">Ogre::CompositorChain::mCompiledState</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Compiled state (updated with _compile) </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00171">171</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a30177a879b005637889e4be4d17561ae"></a><!-- doxytag: member="Ogre::CompositorChain::mDirty" ref="a30177a879b005637889e4be4d17561ae" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositorChain.html#a30177a879b005637889e4be4d17561ae">Ogre::CompositorChain::mDirty</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>State needs recompile. </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00164">164</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae3d506995ac8ad8aa48270e5ea1c7f13"></a><!-- doxytag: member="Ogre::CompositorChain::mInstances" ref="ae3d506995ac8ad8aa48270e5ea1c7f13" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorChain.html#ac6b8bed59c322b3466fd61a0663923e6">Instances</a> <a class="el" href="classOgre_1_1CompositorChain.html#ae3d506995ac8ad8aa48270e5ea1c7f13">Ogre::CompositorChain::mInstances</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Postfilter instances in this chain. </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00161">161</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae802fec376168b0009e91d9d2b52a32a"></a><!-- doxytag: member="Ogre::CompositorChain::mOldClearEveryFrameBuffers" ref="ae802fec376168b0009e91d9d2b52a32a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1CompositorChain.html#ae802fec376168b0009e91d9d2b52a32a">Ogre::CompositorChain::mOldClearEveryFrameBuffers</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Old viewport settings. </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00224">224</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3a136f6c8be3a5b736403878766bd00f"></a><!-- doxytag: member="Ogre::CompositorChain::mOldFindVisibleObjects" ref="a3a136f6c8be3a5b736403878766bd00f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositorChain.html#a3a136f6c8be3a5b736403878766bd00f">Ogre::CompositorChain::mOldFindVisibleObjects</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Store old find visible objects. </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00228">228</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a99c657543a08099992f80d7d186939f0"></a><!-- doxytag: member="Ogre::CompositorChain::mOldLodBias" ref="a99c657543a08099992f80d7d186939f0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1CompositorChain.html#a99c657543a08099992f80d7d186939f0">Ogre::CompositorChain::mOldLodBias</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Store old camera LOD bias. </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00230">230</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab340ff7596d3ca02abbbbac6d807b50a"></a><!-- doxytag: member="Ogre::CompositorChain::mOldMaterialScheme" ref="ab340ff7596d3ca02abbbbac6d807b50a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1CompositorChain.html#ab340ff7596d3ca02abbbbac6d807b50a">Ogre::CompositorChain::mOldMaterialScheme</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Store old viewport material scheme. </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00232">232</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="acf5b75bbbbf8da0cfc7f8fd47183f191"></a><!-- doxytag: member="Ogre::CompositorChain::mOldShadowsEnabled" ref="acf5b75bbbbf8da0cfc7f8fd47183f191" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositorChain.html#acf5b75bbbbf8da0cfc7f8fd47183f191">Ogre::CompositorChain::mOldShadowsEnabled</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Store old shadows enabled flag. </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00234">234</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="af3a2826a2501abc1a39639835fe0b021"></a><!-- doxytag: member="Ogre::CompositorChain::mOldVisibilityMask" ref="af3a2826a2501abc1a39639835fe0b021" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1CompositorChain.html#af3a2826a2501abc1a39639835fe0b021">Ogre::CompositorChain::mOldVisibilityMask</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Store old scene visibility mask. </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00226">226</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac670c7beb3e20ed90fc527421bdc41ba"></a><!-- doxytag: member="Ogre::CompositorChain::mOriginalScene" ref="ac670c7beb3e20ed90fc527421bdc41ba" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a>* <a class="el" href="classOgre_1_1CompositorChain.html#ac670c7beb3e20ed90fc527421bdc41ba">Ogre::CompositorChain::mOriginalScene</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Plainly renders the scene; implicit first compositor in the chain. </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00158">158</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3e1a36df5f8ab70ffe1b8cd2ad83ac0f"></a><!-- doxytag: member="Ogre::CompositorChain::mOriginalSceneScheme" ref="a3e1a36df5f8ab70ffe1b8cd2ad83ac0f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1CompositorChain.html#a3e1a36df5f8ab70ffe1b8cd2ad83ac0f">Ogre::CompositorChain::mOriginalSceneScheme</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00168">168</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a10696f59831cee75561c0c2099b5d7be"></a><!-- doxytag: member="Ogre::CompositorChain::mOurListener" ref="a10696f59831cee75561c0c2099b5d7be" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html">RQListener</a> <a class="el" href="classOgre_1_1CompositorChain.html#a10696f59831cee75561c0c2099b5d7be">Ogre::CompositorChain::mOurListener</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00222">222</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a889e1ef93d03389ec01b34a70f62d1f3"></a><!-- doxytag: member="Ogre::CompositorChain::mOutputOperation" ref="a889e1ef93d03389ec01b34a70f62d1f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a> <a class="el" href="classOgre_1_1CompositorChain.html#a889e1ef93d03389ec01b34a70f62d1f3">Ogre::CompositorChain::mOutputOperation</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00172">172</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2000a0428258a1d0d6d39724b0e92201"></a><!-- doxytag: member="Ogre::CompositorChain::mRenderSystemOperations" ref="a2000a0428258a1d0d6d39724b0e92201" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorChain.html#aab3f2d68973eeb6231db7e8fc1c349e1">RenderSystemOperations</a> <a class="el" href="classOgre_1_1CompositorChain.html#a2000a0428258a1d0d6d39724b0e92201">Ogre::CompositorChain::mRenderSystemOperations</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00177">177</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a584ed2008fb3617e586e9be48d61071c"></a><!-- doxytag: member="Ogre::CompositorChain::mViewport" ref="a584ed2008fb3617e586e9be48d61071c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a>* <a class="el" href="classOgre_1_1CompositorChain.html#a584ed2008fb3617e586e9be48d61071c">Ogre::CompositorChain::mViewport</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> affected by this <a class="el" href="classOgre_1_1CompositorChain.html" title="Chain of compositor effects applying to one viewport.">CompositorChain</a>. </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00154">154</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
